## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://github.com/hetznercloud/cli
%global goipath         github.com/hetznercloud/cli
Version:                1.29.5

%gometa

%global common_description %{expand:
A command-line interface for Hetzner Cloud.}

%global golicenses      LICENSE
%global godocs          examples CHANGES.md README.md

Name:           hcloud
Release:        %autorelease
Summary:        A command-line interface for Hetzner Cloud

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

# Build shell completions.
for SHELL in bash fish zsh; do
    %{gobuilddir}/bin/%{name} completion $SHELL > %{name}.${SHELL}
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

# Install shell completions.
install -Dp %{name}.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}
install -Dp %{name}.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/%{name}.fish
install -Dp %{name}.zsh %{buildroot}%{_datadir}/zsh/site-functions/_%{name}


%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc examples CHANGES.md README.md
%{_bindir}/*
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/zsh/site-functions/_%{name}
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions

%gopkgfiles

%changelog
* Sat Jul 09 2022 Maxwell G <gotmax@e.email> 1.29.5-2
- Rebuild for CVE-2022-{24675,28327,29526} in golang

* Tue May 31 2022 Major Hayden 🤠 <major@redhat.com> 1.29.5-1
- Initial import (rhbz#2091178)
